<bugID>1253031<Summary>Impossible to clear data cached by Service Workers through any exposed UI.</Summary><Description>There is no way for a user to clear data cached by a Service Worker.

This causes the following problems:

- Private user data is at risk of disclosure
- Users can not reclaim disk space from greedy workers
- Developers can not reset the browser to a pristine state

Things that don't work:

- Forget button (Bug 1252998)
- Privacy -&gt; Clear recent history (Bug 1253009)
- Privacy -&gt; Clear everything when Firefox closes (Bug 1253027)
- Avanced -&gt; Clear Cached Web Content (Bug 1253003)
- Advanced -&gt; Clear Offline Web Content (Bug 1253005)
- DevTools -&gt; "Disable Caches" (Bug 1253018)

STR:

1. Visit https://www.pokedex.org/
2. Try to find a way to clear the cached data.

You can check if the service worker is present or not by visiting about:serviceworkers.

You can check if cached data is still available by visiting https://www.pokedex.org/manifest.json and running the following JavaScript in the console:

    caches.match('/img/icon-48.png').then(x =&gt; console.log(`Resource ${(x &amp;&amp; x.ok) ? "WAS" : "WAS NOT"} found in cache:`, x)).catch(e =&gt; console.warn("Could not open cache:", e))</Description></bugID>